%define upstream_name    Tie-Array-CSV
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A Tie::Array::CSV subclass for deferring row operations
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Tie/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Text::CSV)
BuildRequires: perl(Tie::File)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
This module allows an array to be tied to a CSV file for reading and
writing. The array is a standard Perl 2D array (i.e. an array of array
references) which gives access to the row and column of the user's
choosing. This is done using the well established modules:

* * 
  the Tie::File manpage

  * *

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.json META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Mon Jan 16 2023 tv <tv> 0.80.0-1.mga9
+ Revision: 1933835
- imported package perl-Tie-Array-CSV

